## Applet.TextApplet

Applet.TextApplet — Applet with label

## Functions

| _init ()
| set_applet_label ()

## Properties

St.Label | _applet_label |

## Object Hierarchy

        Object
        ╰── Applet.Applet
            ╰── Applet.TextApplet

## Description

Applet that displays a text

## Functions

### _init ()

    _init (St.Side   orientation,
           int       panelHeight,
           int       instance_id);

Note that suitability for display in a vertical panel is handled by having applets declare they work OK, handled elsewhere

#### Parameters

orientation | orientation of the applet; Orientation of panel containing the actor |
panelHeight | height of the panel containing the applet |
instance_id | instance id of the applet |

### set_applet_label ()

    set_applet_label (string   text);

Sets the text of the actor to `text`

#### Parameters

text | text to be displayed at the label |

## Property Details

### The `“_applet_label”` property

      “_applet_label”            St.Label

Label of the applet